package org.apache.commons.lang3;

import java.util.Random;

public class RandomStringUtils {
   private static final Random RANDOM = new Random();

   public static String random(int count) {
      return random(count, false, false);
   }

   public static String randomAscii(int count) {
      return random(count, 32, 127, false, false);
   }

   public static String randomAscii(int minLengthInclusive, int maxLengthExclusive) {
      return randomAscii(RandomUtils.nextInt(minLengthInclusive, maxLengthExclusive));
   }

   public static String randomAlphabetic(int count) {
      return random(count, true, false);
   }

   public static String randomAlphabetic(int minLengthInclusive, int maxLengthExclusive) {
      return randomAlphabetic(RandomUtils.nextInt(minLengthInclusive, maxLengthExclusive));
   }

   public static String randomAlphanumeric(int count) {
      return random(count, true, true);
   }

   public static String randomAlphanumeric(int minLengthInclusive, int maxLengthExclusive) {
      return randomAlphanumeric(RandomUtils.nextInt(minLengthInclusive, maxLengthExclusive));
   }

   public static String randomGraph(int count) {
      return random(count, 33, 126, false, false);
   }

   public static String randomGraph(int minLengthInclusive, int maxLengthExclusive) {
      return randomGraph(RandomUtils.nextInt(minLengthInclusive, maxLengthExclusive));
   }

   public static String randomNumeric(int count) {
      return random(count, false, true);
   }

   public static String randomNumeric(int minLengthInclusive, int maxLengthExclusive) {
      return randomNumeric(RandomUtils.nextInt(minLengthInclusive, maxLengthExclusive));
   }

   public static String randomPrint(int count) {
      return random(count, 32, 126, false, false);
   }

   public static String randomPrint(int minLengthInclusive, int maxLengthExclusive) {
      return randomPrint(RandomUtils.nextInt(minLengthInclusive, maxLengthExclusive));
   }

   public static String random(int count, boolean letters, boolean numbers) {
      return random(count, 0, 0, letters, numbers);
   }

   public static String random(int count, int start, int end, boolean letters, boolean numbers) {
      return random(count, start, end, letters, numbers, (char[])null, RANDOM);
   }

   public static String random(int count, int start, int end, boolean letters, boolean numbers, char... chars) {
      return random(count, start, end, letters, numbers, chars, RANDOM);
   }

   public static String random(int var0, int var1, int var2, boolean var3, boolean var4, char[] var5, Random var6) {
      // $FF: Couldn't be decompiled
   }

   public static String random(int count, String chars) {
      return chars == null ? random(count, 0, 0, false, false, (char[])null, RANDOM) : random(count, chars.toCharArray());
   }

   public static String random(int count, char... chars) {
      return chars == null ? random(count, 0, 0, false, false, (char[])null, RANDOM) : random(count, 0, chars.length, false, false, chars, RANDOM);
   }
}
